%define major	1
%define libname	%mklibname morph %{major}
%define devname	%mklibname morph -d

Summary:	An X Window System tool for creating morphed images
Name:		xmorph
Epoch:		2
Version:	20060817
Release:	%mkrel 17
License:	GPLv2+
Group:		Graphics/Editors and Converters
URL:		https://sourceforge.net/projects/xmorph/
Source0:	%{name}_%{version}.tar.gz
Source2:	%{name}-icons.tar.bz2
# (fc) 20060817-1mdv fix build with latest gcc
Patch0:		xmorph-20060817-fixbuild.patch
Patch1:		xmorph-20060817-texinfo.patch
Patch2:		xmorph-20060817-autoreconf.patch
Patch3:		xmorph-dont-override-LDFLAGS.patch
BuildRequires:	pkgconfig(xaw7)
BuildRequires:	bison
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel
BuildRequires:	texinfo
BuildRequires:	pkgconfig(fftw3)
# for X11/bitmaps/gray:
BuildRequires:	x11-data-bitmaps

%package -n %{libname}
Summary:	Internal library required for xmorph/gtkmorph
Group:		System/Libraries
# Obsolete old wrongly named lib for smooth upgrades
Obsoletes:	%{_lib}morph0 < 2:20060817-5

%package -n %{devname}
Summary:	Headers and libraries required for xmorph/gtkmorph development
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	libmorph-devel = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%{_lib}morph0-devel < 2:20060817-5

%description
Xmorph is a digital image warping (aka morphing) program.  Xmorph
provides the tools needed and comprehensible instructions for you to
create morphs: changing one image into another.  Xmorph runs under the
X Window System.

Install the xmorph package if you need a program that will create
morphed images.

%description -n %{libname}
Internal library for xmorph and gtkmorph.

%description -n %{devname}
Development headers and libs for xmorph and gtkmorph.

%prep
%setup -q
%autopatch -p1

#generate info file
rm -rf doc/xmorph.info

# fix build with autoreconf
sed -i -e 's,\(AM_GNU_GETTEXT.*\),\1\nAM_GNU_GETTEXT_REQUIRE_VERSION(\[0.19.8\]),' configure.ac

%build
# fix build on aarch64
autoreconf -vfi

export CFLAGS="%{optflags} -fgnu89-inline"
%configure \
	--disable-static \
	--without-morph \
	--with-gtk=2
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Categories=Graphics;Viewer;
Name=Xmorph
Comment=Morphing software
Exec=gtkmorph
Icon=%{name}
EOF

#mdk icons
install -d %{buildroot}%{_iconsdir}
tar xjvf %{SOURCE2} -C %{buildroot}%{_iconsdir}

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README HISTORY NEWS
%{_bindir}/*
%{_mandir}/*/*
%{_datadir}/applications/*.desktop
%{_infodir}/*
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_datadir}/%{name}/

%files -n %{libname}
%{_libdir}/libmorph.so.%{major}
%{_libdir}/libmorph.so.%{major}.*

%files -n %{devname}
%doc TODO
%{_libdir}/libmorph.so
%{_prefix}/include/%{name}/


%changelog
* Thu Aug 20 2020 ovitters <ovitters> 2:20060817-17.mga8
+ Revision: 1616893
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Tue Apr 21 2020 wally <wally> 2:20060817-16.mga8
+ Revision: 1570451
- add patch to use our linker flags (fixes overlinking)
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 2:20060817-15.mga8
+ Revision: 1518825
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2:20060817-14.mga7
+ Revision: 1301945
- Mageia 7 Mass Rebuild

* Thu Jul 12 2018 wally <wally> 2:20060817-13.mga7
+ Revision: 1243257
- add fixes to build on aarch64

* Wed Jan 18 2017 wally <wally> 2:20060817-12.mga6
+ Revision: 1082290
- add patch to fix info page (mga#20135)

* Wed Feb 17 2016 umeabot <umeabot> 2:20060817-11.mga6
+ Revision: 963627
- Mageia 6 Mass Rebuild

* Mon Nov 02 2015 daviddavid <daviddavid> 2:20060817-10.mga6
+ Revision: 897320
- fix compilation with gcc5: add -fgnu89-inline to CFLAGS

* Wed Oct 15 2014 umeabot <umeabot> 2:20060817-9.mga5
+ Revision: 739606
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2:20060817-8.mga5
+ Revision: 730748
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2:20060817-7.mga5
+ Revision: 690721
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2:20060817-6.mga4
+ Revision: 532637
- Mageia 4 Mass Rebuild

* Wed Aug 21 2013 wally <wally> 2:20060817-5.mga4
+ Revision: 469073
- fix lib and devel pkg names
- fix lib major
- BR fftw3-devel
- disable static build and drop .la files
- update license
- clean .spec a bit

* Mon Jan 14 2013 umeabot <umeabot> 2:20060817-4.mga3
+ Revision: 387221
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Editors -> Graphics/Editors and Converters

* Sat Dec 08 2012 malo <malo> 2:20060817-3.mga3
+ Revision: 328905
- update RPM group

* Wed Apr 27 2011 wally <wally> 2:20060817-2.mga2
+ Revision: 92052
- fix desktop file name (mga#954)
- drop buildroot definition

* Wed Mar 16 2011 steletch <steletch> 2:20060817-1.mga1
+ Revision: 72963
- Clean spec file
- imported package xmorph


* Mon Sep 28 2009 Frederic Crozat <fcrozat@mandriva.com> 2:20060817-1mdv2010.0
+ Revision: 450531
- Release 20060817
- Patch0: fix build with latest gcc

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 2:20030527-4mdv2008.1
+ Revision: 135804
- auto-convert XDG menu entry
- BR x11-data-bitmaps
- BR xaw-devel
- try building w/o static libs
- kill re-definition of %%buildroot on Pixel's request
- kill prereq
- kill file require on ldconfig & install-info
- use %%mkrel
- import xmorph


* Thu Jun 02 2005 Nicolas Lécureuil <neoclust@mandriva.org> 20030527-4mdk
- Rebuild

* Mon Mar 01 2004 Pascal Terjan <pterjan@mandrake.org> 20030527-3mdk
- fix DEP (due to epoch)
 
* Mon Dec 08 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20030527-2mdk
- fix DIRM
- minor spec fixes
- remove redundant buildrequires

* Sun Dec 07 2003 Franck Villaume <fvill@freesurf.fr> 20030527-1mdk
- mv to the last version
- add BuildRequires : XFree86
- don't need patch gnome1 anymore

* Fri Jan 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 20010220-10mdk
- Update Patch0 (gnome1) so that we don't need automake
- Use %%mklibname, Provides: *-devel in addition to lib*-devel

* Tue Jun 04 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20010220-9mdk
- add BuildRequires gettext-devel (need by aclocal)
- png icons

* Fri Feb 15 2002 David BAUDENS <baudens@mandrakesoft.com> 20010220-8mdk
- BuildRequires gcc-cpp and not gcc-3.0-cpp
- Requires %%version-%%release and not only %%version
- Add missing files

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 20010220-7mdk
- BuildRequires

* Mon Jan  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 20010220-6mdk
- Fix conflict with menu install (Thanks to Gregoire Favre)

* Fri Jan  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 20010220-5mdk
- Patch0: fix compilation with GNOME1 platform

* Tue Aug  7 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 20010220-4mdk
- Sanitize spec file (s/Serial/Epoch/, BuildRequires)
- Renamed icons sources to something more consistent
- Integrated Source1 to spec file (menu entry)

* Wed Aug 01 2001 Stefan van der Eijk <stefan@eijk.nu> 20010220-3mdk
- fix BuildRequires
- s/Copyright/License/

* Wed Apr 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 20010220-2mdk
- Make it build on the Alpha platform.
- Bzip2 the source a.k.a. save some space on the SRPM CD. ;-)

* Wed Mar 14 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 20010220-1mdk
- Update to latest SourceForge version, to fix glib problems.
  (Old one was over a year old and had tons of bugs.  <nudge> redhog)
- More docs.
- Use more standard version number scheme.  Update 'Serial' to handle this.
- Clean spec completely, xmorph includes autoconf support now.
- Create new sub-packages libmorph0, libmorph0-devel.
- Install info documentation.

* Mon Dec 11 2000 Egil Moeller <redhog@mandrakesoft.com> 2000.03.03-7mdk
- Defined GIMP_ENABLE_COMPAT_CRUFT as a cludge not to have to have to
  upport all of this sh*t code to the new gimplib (Without it, it does
  not compile anymore) (It will break again anyway, with gimplib 1.2,
  but I hope, I hope, that the xmorph author fixes this until then)...

* Mon Oct 02 2000 Daouda Lo <daouda@mandrakesoft.com> 2000.03.03-6mdk
- icons should be transparents!
- macrozifications

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 2000.03.03-5mdk
- automatically added BuildRequires

* Wed May 03 2000 dam's <damien@mandrakesoft.com> 2000.03.03-4mdk
- Corrected icones.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 2000.03.03-3mdk
- Convert gif icon to xpm.

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 2000.03.03-2mdk
- Added menu entry.

* Tue Mar 28 2000 dam's <damien@mandrakesoft.com> 2000.03.03-1mdk
- Update to 2000mar03

* Fri Nov 12 1999 dam's <damien@mandrakesoft.com>
- Mandrake release

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
